[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIcnsRec

Record type with the icon type and raw image data for a TIcnsIcon instance.

## Declaration

Source position: graphics.pp line 1695

`type TIcnsRec = record`
`IconType: TicnsIconType;` |  | TIcnsIconType value for the icon data, mask, or alpha channel used in the raw image.
`RawImage: TRawImage;` |  | Contains the TRawImage instance with the data for an icon image.
`end;`